<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-getting-started.qdoc -->
  <title>Getting Started | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Getting Started</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="index.html" />
  <link rel="next" href="creator-overview.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="index.html">Qt Creator Manual</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-overview.html">IDE Overview</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Getting Started</h1>
<span class="subtitle"></span>
<!-- $$$creator-getting-started.html-description -->
<div class="descr"> <a name="details"></a>
<div class="table"><table class="generic">
 <tr valign="top" class="odd"><td ><img src="images/creator-gs-01.png" alt="" /></td><td ><img src="images/creator-gs-02.png" alt="" /></td><td ><img src="images/creator_advanceduse.png" alt="" /></td></tr>
<tr valign="top" class="even"><td ><b><a href="creator-overview.html">IDE Overview</a></b><p>If you have not used an integrated development environment (IDE) before, or want to know what kind of IDE Qt Creator is, go to <a href="creator-overview.html">IDE Overview</a>.</p>
</td><td ><b><a href="creator-quick-tour.html">User Interface</a></b><p>If you have not used Qt Creator before, and want to become familiar with the parts of the user interface, go to <a href="creator-quick-tour.html">User Interface</a>.</p>
</td><td ><b><a href="creator-configuring.html">Configuring Qt Creator</a></b><p>To make Qt Creator behave more like your favorite code editor or IDE, you can change the settings for keyboard shortcuts, color schemes, generic highlighting, code snippets, and version control systems. For an overview of the options you have, go to <a href="creator-configuring.html">Configuring Qt Creator</a>.</p>
</td></tr>
<tr valign="top" class="odd"><td ><img src="images/creator-gs-03.png" alt="" /></td><td ><img src="images/creator-gs-04.png" alt="" /></td><td ></td></tr>
<tr valign="top" class="even"><td ><b><a href="creator-build-example-application.html">Building and Running an Example</a></b><p>To check that <a href="creator-glossary.html#glossary-buildandrun-kit">kits</a> for building and running were successfully installed as part of the Qt installation, open an example application and run it. If you have not done so before, go to <a href="creator-build-example-application.html">Building and Running an Example</a>.</p>
</td><td ><b><a href="creator-tutorials.html">Tutorials</a></b><p>Now you are ready to start developing your own applications. Pick a tutorial to follow in <a href="creator-tutorials.html">Tutorials</a>. To start developing for mobile devices, select <a href="qt-creator-accelbubble-example.html">Creating a Mobile Application</a>.</p>
</td><td ></td></tr>
</table></div>
</div>
<!-- @@@creator-getting-started.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="index.html">Qt Creator Manual</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-overview.html">IDE Overview</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
